# eFlows4HPC-WP5

The overarching goal of WP5 is to take advantage of the eFlows4HPC architecture to enhance innovation for intelligent and integrated end-to-end HPDA-enabled ensemble Earth System Model (ESM) workflow.

# Steps for running the workflow

- git clone https://earth.bsc.es/gitlab/ces/eflows4hpc-wp5.git

**Please note that the current workflow is not parameterised yet!**

So, some scipts have hardedcoded user ID's like bsc32044 and you have replace them with your user ID. Remember to modify these scripts before running the workflow:

- ./src/poc/pycompss/launch_awicm3_mn4.sh
- ./src/poc/pycompss/esm_simulation.py
- ./src/poc/pycompss/esm_ensemble_init.py
- ./src/poc/pycompss/config/esm_ensemble.conf
- ./src/poc/pycompss/config/awicm3/fort.4.tmpl
- ./src/poc/pycompss/coupled%20model/TCO95L91-CORE2/runscript_awicm3.sh

**Running the workflow**

- Navigate to ./src/poc/pycompss/ and execute bash script _launch_awicm3_mn4.sh_
- It should be able to run for 3 ensembles of start dates: 2000, 2001 and 2002

# Compiling FESOM2

In order to compile FESOM2 model: 

- git clone https://github.com/FESOM/fesom2.git and follow the necessary steps in FESOM [documentation](https://fesom2.readthedocs.io/en/latest/getting_started/getting_started.html) 

